Subject: Re: linux-next: manual merge of the tip tree with Linus' tree

From: Peter Zijlstra <[email-masked]>
Date: Thu, 14 Apr 2011 11:02:50 +0200

On Thu, 2011-04-14 at 13:14 +1000, Stephen Rothwell wrote:
> 
> Today's linux-next merge of the tip tree got a conflict in kernel/sched.c
> between commit 6631e635c65d ("block: don't flush plugged IO on forced
> preemtion scheduling") from Linus' tree and commits 098247b90a9e ("sched:
> Provide p->on_rq") and a3380736e4b3 ("sched: Also serialize ttwu_local()
> with p->pi_lock") from the tip tree.
> 
> I fixed them up (hopefully - see below) and can carry the fix as
> necessary. 

It looks like Ingo accidentially published an older version of these
patches because I also got a UP build error from Tony yesterday.

A new series was merged this morning which should hopefully address both
problems.